<?php
	/**
	 * Provides an admin view of widget interface
	 *
	 *
	 * @link       https://www.codeboxr.com
	 * @since      1.0.0
	 *
	 * @package    codeboxrflexiblecountdown
	 * @subpackage codeboxrflexiblecountdown/widgets/views
	 */

	if ( ! defined( 'WPINC' ) )
	{
		die;
	}
?>


<?php
    $countdown_list = CBFCHelper::getCountdownStyles();
?>

<p>
    <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'codeboxrflexiblecountdown' ); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" />
</p>

<p>
    <label for="<?php echo $this->get_field_id( 'cbfc_countdown_style' ); ?>"><?php _e( 'Countdown Style', 'codeboxrflexiblecountdown' ); ?></label>
    <select class="widefat" id="<?php echo $this->get_field_id( 'cbfc_countdown_style' ); ?>" name="<?php echo $this->get_field_name( 'cbfc_countdown_style' ); ?>">
        <?php foreach( $countdown_list as $list_id => $list_name ): ?>
            <option value="<?php echo $list_id; ?>"<?php echo ( $list_id == $cbfc_countdown_style ) ? 'selected="selected"' : ''; ?>><?php echo $list_name; ?></option>
        <?php endforeach; ?>
    </select>
</p>

<p>
    <label for="<?php echo $this->get_field_id( 'cbfc_date' ); ?>"><?php _e( 'Launch Date(Date format- mm/dd/yy)', 'codeboxrflexiblecountdown' ); ?></label>
    <input class="widefat datepicker cbfcdatepicker" id="<?php echo $this->get_field_id( 'cbfc_date' ); ?>" name="<?php echo $this->get_field_name( 'cbfc_date' ); ?>" type="text" placeholder="mm/dd/yyyy" value="<?php echo $cbfc_date; ?>" />
</p>

<p>
    <label for="<?php echo $this->get_field_id( 'cbfc_hour' ); ?>"><?php _e( 'Launch Hour', 'codeboxrflexiblecountdown' ); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id( 'cbfc_hour' ); ?>" name="<?php echo $this->get_field_name( 'cbfc_hour' ); ?>" type="text" value="<?php echo $cbfc_hour; ?>" />
</p>

<p>
    <label for="<?php echo $this->get_field_id( 'cbfc_min' ); ?>"><?php _e( 'Launch Minute', 'codeboxrflexiblecountdown' ); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id( 'cbfc_min' ); ?>" name="<?php echo $this->get_field_name( 'cbfc_min' ); ?>" type="text" value="<?php echo $cbfc_min; ?>" />
</p>
<?php
 do_action('cbxflexiblecountdownwidgetform', $this, $instance);
?>
<p><a target="_blank" href="<?php echo admin_url('wp-admin/options-general.php?page=codeboxrflexiblecountdown'); ?>"><?php esc_html_e('Global Setting', 'codeboxrflexiblecountdown'); ?></a></p>

